Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSuppliers.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -183,8 +183,8 @@
                 strcmd += ", '" + data.Note + "'";
                 strcmd += string.Format(", {0}", data.DeleteFlg);
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -228,8 +228,8 @@
                     strcmd += ", '" + work.Note + "'";
                     strcmd += string.Format(", {0}", work.DeleteFlg);
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -274,7 +274,7 @@
                 strcmd += " ,Note = '" + data.Note + "'";
                 strcmd += string.Format(" ,DeleteFlg = {0}", data.DeleteFlg);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMSystem.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -30,9 +30,9 @@
 
         #region 定数
         /// <summary>
-        /// 自社マスタフィールド並び
+        /// システムマスタフィールド並び
         /// </summary>
-        public enum OurCompanyColumn
+        public enum SystemColumn
         {
             SYSTEM_CODE = 0,
             COMPANY_NAME1,
@@ -49,6 +49,7 @@
             OFFICE_EXPENSES,
             OPERATING_EXPENSES,
             CONSUMPTION_TAX,
+            COOPERATION_RATE,
             EXCEL_SAVEPATH,
             BUSINESSPERIOD,
             ConstructionYear,
@@ -75,16 +76,16 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region システムマスタ検索文字作成
         /// <summary>
-        /// 自社マスタ検索
+        /// システムマスタ検索文字作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
-        /// <param name="data">自社マスタデータ</param>
+        /// <param name="data">システムマスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         private string CreateSelectSQL()
         {
-            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            // SQL作成
             string strcmd = "SELECT";
             strcmd += " SystemCode";
             strcmd += ", CompanyName1";
@@ -101,6 +102,7 @@
             strcmd += ", OfficeExpenses";
             strcmd += ", OperatingExpenses";
             strcmd += ", ConsumptionTax";
+            strcmd += ", CooperationRate";
             strcmd += ", ExcelSavePath";
             strcmd += ", BusinessPeriod";
             strcmd += ", ConstructionYear";
@@ -116,15 +118,25 @@
 
             return strcmd;
         }
+        #endregion
+
+        #region システムマスタ検索（複数）
+        /// <summary>
+        /// システムマスタ検索（複数）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<SystemMaster> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -146,15 +158,25 @@
                 return false;
             }
         }
+        #endregion
+
+        #region システムマスタ検索（1件）
+        /// <summary>
+        /// システムマスタ検索（1件）
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref SystemMaster data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成
                 strcmd = CreateSelectSQL() + AddSQLString;
 
                 // SQL実行
@@ -175,11 +197,13 @@
                 return false;
             }
         }
+        #endregion
 
+        #region システムマスタ追加
         /// <summary>
-        /// 自社マスタ追加
+        /// システムマスタ追加
         /// </summary>
-        /// <param name="data">自社マスタデータ</param>
+        /// <param name="data">システムマスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<SystemMaster> data, bool bConnect = true)
         {
@@ -190,6 +214,33 @@
                 foreach (SystemMaster work in data)
                 {
                     strcmd = "INSERT INTO SystemMaster";
+                    strcmd += " (SystemCode";
+                    strcmd += ", CompanyName1";
+                    strcmd += ", CompanyName2";
+                    strcmd += ", CEOName";
+                    strcmd += ", CEOPositionName";
+                    strcmd += ", ZipCode";
+                    strcmd += ", Address1";
+                    strcmd += ", Address2";
+                    strcmd += ", Address3";
+                    strcmd += ", PhoneNumber";
+                    strcmd += ", FaxNumber";
+                    strcmd += ", ConstructionExpenses";
+                    strcmd += ", OfficeExpenses";
+                    strcmd += ", OperatingExpenses";
+                    strcmd += ", ConsumptionTax";
+                    strcmd += ", CooperationRate";
+                    strcmd += ", ExcelSavePath";
+                    strcmd += ", BusinessPeriod";
+                    strcmd += ", ConstructionYear";
+                    strcmd += ", BusinessBeginningDate";
+                    strcmd += ", ConstructionBeginningDate";
+                    strcmd += ", ConstructionNoBase";
+                    strcmd += ", SloganString1";
+                    strcmd += ", SloganString2";
+                    strcmd += ", SloganString3";
+                    strcmd += ", EntryDate";
+                    strcmd += ", UpdateDate)";
 
                     strcmd += " VALUES (";
 
@@ -208,6 +259,7 @@
                     strcmd += ", " + work.OfficeExpenses.ToString();
                     strcmd += ", " + work.OperatingExpenses.ToString();
                     strcmd += ", " + work.ConsumptionTax.ToString();
+                    strcmd += ", " + work.CooperationRate.ToString();
                     strcmd += ",'" + work.ExcelSavePath + "'";
 
                     strcmd += ", " + work.BusinessPeriod.ToString();
@@ -220,8 +272,8 @@
                     strcmd += ",'" + work.SloganString2 + "'";
                     strcmd += ",'" + work.SloganString3 + "'";
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -234,12 +286,14 @@
                 return false;
             }
         }
+        #endregion
 
+        #region システムマスタ更新
         /// <summary>
-        /// 自社マスタ更新
+        /// システムマスタ更新
         /// </summary>
         /// <param name="AddSQLString">更新条件SQL文字列</param>
-        /// <param name="data">自社マスタデータ</param>
+        /// <param name="data">システムマスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, SystemMaster data, bool bConnect = true)
         {
@@ -266,6 +320,7 @@
                 strcmd += " ,OfficeExpenses = " + data.OfficeExpenses.ToString();
                 strcmd += " ,OperatingExpenses = " + data.OperatingExpenses.ToString();
                 strcmd += " ,ConsumptionTax = " + data.ConsumptionTax.ToString();
+                strcmd += " ,CooperationRate = " + data.CooperationRate.ToString();
                 strcmd += " ,ExcelSavePath = '" + data.ExcelSavePath + "'";
                 
                 strcmd += " ,BusinessPeriod = " + data.BusinessPeriod.ToString();
@@ -277,8 +332,8 @@
                 strcmd += " ,SloganString1 = '" + data.SloganString1 + "'";
                 strcmd += " ,SloganString2 = '" + data.SloganString2 + "'";
                 strcmd += " ,SloganString3 = '" + data.SloganString3 + "'";
-
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -291,17 +346,18 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region システムマスタ削除
         /// <summary>
-        /// 自社マスタ削除
+        /// システムマスタ削除
         /// </summary>
         /// <param name="AddSQLString">削除条件SQL文字列</param>
-        /// <param name="data">自社マスタデータ</param>
+        /// <param name="data">システムマスタデータ</param>
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -317,11 +373,12 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 構造体へセットする
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref SystemMaster wrk)
         {
@@ -328,35 +385,36 @@
             try
             {
                 // データ取得
-                wrk.SystemCode = int.Parse(objwrk[(int)OurCompanyColumn.SYSTEM_CODE].ToString());
-                wrk.CompanyName1 = objwrk[(int)OurCompanyColumn.COMPANY_NAME1].ToString();
-                wrk.CompanyName2 = objwrk[(int)OurCompanyColumn.COMPANY_NAME2].ToString();
-                wrk.CEOName = objwrk[(int)OurCompanyColumn.CEO_NAME].ToString();
-                wrk.CEOPositionName = objwrk[(int)OurCompanyColumn.CEOPOSITION_NAME].ToString();
-                wrk.ZipCode = objwrk[(int)OurCompanyColumn.ZIP_CODE].ToString();
-                wrk.Address1 = objwrk[(int)OurCompanyColumn.ADDRESS1].ToString();
-                wrk.Address2 = objwrk[(int)OurCompanyColumn.ADDRESS2].ToString();
-                wrk.Address3 = objwrk[(int)OurCompanyColumn.ADDRESS3].ToString();
-                wrk.PhoneNumber = objwrk[(int)OurCompanyColumn.PHONE_NUMBER].ToString();
-                wrk.FaxNumber = objwrk[(int)OurCompanyColumn.FAX_NUMBER].ToString();
-                wrk.ConstructionExpenses = double.Parse(objwrk[(int)OurCompanyColumn.CONSTRUCTION_EXPENSES].ToString());
-                wrk.OfficeExpenses = double.Parse(objwrk[(int)OurCompanyColumn.OFFICE_EXPENSES].ToString());
-                wrk.OperatingExpenses = double.Parse(objwrk[(int)OurCompanyColumn.OPERATING_EXPENSES].ToString());
-                wrk.ConsumptionTax = double.Parse(objwrk[(int)OurCompanyColumn.CONSUMPTION_TAX].ToString());
-                wrk.ExcelSavePath = objwrk[(int)OurCompanyColumn.EXCEL_SAVEPATH].ToString();
+                wrk.SystemCode = int.Parse(objwrk[(int)SystemColumn.SYSTEM_CODE].ToString());
+                wrk.CompanyName1 = objwrk[(int)SystemColumn.COMPANY_NAME1].ToString();
+                wrk.CompanyName2 = objwrk[(int)SystemColumn.COMPANY_NAME2].ToString();
+                wrk.CEOName = objwrk[(int)SystemColumn.CEO_NAME].ToString();
+                wrk.CEOPositionName = objwrk[(int)SystemColumn.CEOPOSITION_NAME].ToString();
+                wrk.ZipCode = objwrk[(int)SystemColumn.ZIP_CODE].ToString();
+                wrk.Address1 = objwrk[(int)SystemColumn.ADDRESS1].ToString();
+                wrk.Address2 = objwrk[(int)SystemColumn.ADDRESS2].ToString();
+                wrk.Address3 = objwrk[(int)SystemColumn.ADDRESS3].ToString();
+                wrk.PhoneNumber = objwrk[(int)SystemColumn.PHONE_NUMBER].ToString();
+                wrk.FaxNumber = objwrk[(int)SystemColumn.FAX_NUMBER].ToString();
+                wrk.ConstructionExpenses = double.Parse(objwrk[(int)SystemColumn.CONSTRUCTION_EXPENSES].ToString());
+                wrk.OfficeExpenses = double.Parse(objwrk[(int)SystemColumn.OFFICE_EXPENSES].ToString());
+                wrk.OperatingExpenses = double.Parse(objwrk[(int)SystemColumn.OPERATING_EXPENSES].ToString());
+                wrk.ConsumptionTax = double.Parse(objwrk[(int)SystemColumn.CONSUMPTION_TAX].ToString());
+                wrk.CooperationRate = double.Parse(objwrk[(int)SystemColumn.COOPERATION_RATE].ToString());
+                wrk.ExcelSavePath = objwrk[(int)SystemColumn.EXCEL_SAVEPATH].ToString();
 
-                wrk.BusinessPeriod = int.Parse(objwrk[(int)OurCompanyColumn.BUSINESSPERIOD].ToString());
-                wrk.ConstructionYear = int.Parse(objwrk[(int)OurCompanyColumn.ConstructionYear].ToString());
-                wrk.BusinessBeginningDate = objwrk[(int)OurCompanyColumn.BusinessBeginningDate].ToString();
-                wrk.ConstructionBeginningDate = objwrk[(int)OurCompanyColumn.ConstructionBeginningDate].ToString();
-                wrk.ConstructionNoBase = int.Parse(objwrk[(int)OurCompanyColumn.ConstructionNoBase].ToString());
+                wrk.BusinessPeriod = int.Parse(objwrk[(int)SystemColumn.BUSINESSPERIOD].ToString());
+                wrk.ConstructionYear = int.Parse(objwrk[(int)SystemColumn.ConstructionYear].ToString());
+                wrk.BusinessBeginningDate = objwrk[(int)SystemColumn.BusinessBeginningDate].ToString();
+                wrk.ConstructionBeginningDate = objwrk[(int)SystemColumn.ConstructionBeginningDate].ToString();
+                wrk.ConstructionNoBase = int.Parse(objwrk[(int)SystemColumn.ConstructionNoBase].ToString());
 
-                wrk.SloganString1 = objwrk[(int)OurCompanyColumn.SloganString1].ToString();
-                wrk.SloganString2 = objwrk[(int)OurCompanyColumn.SloganString2].ToString();
-                wrk.SloganString3 = objwrk[(int)OurCompanyColumn.SloganString3].ToString();
+                wrk.SloganString1 = objwrk[(int)SystemColumn.SloganString1].ToString();
+                wrk.SloganString2 = objwrk[(int)SystemColumn.SloganString2].ToString();
+                wrk.SloganString3 = objwrk[(int)SystemColumn.SloganString3].ToString();
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)OurCompanyColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)OurCompanyColumn.UPDATE_DATE].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)SystemColumn.ENTRY_DATE].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)SystemColumn.UPDATE_DATE].ToString());
             }
             catch (MySqlException myex)
             {
@@ -369,10 +427,9 @@
         }
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region コードの最大値を取得する
         /// <summary>
-        /// 協力会社コードの最大値を取得する
+        /// コードの最大値を取得する
         /// </summary>
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
@@ -379,7 +436,7 @@
         /// <returns></returns>
         public int SelectMaxSystemCodeCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMTerm.cs	(revision 51)
@@ -5,7 +5,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -69,13 +69,13 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<TermMaster> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成
                 strcmd = "SELECT";
                 strcmd += "  ConstructionStatusFlg";
                 strcmd += " ,FieldNo";
@@ -87,8 +87,8 @@
                 strcmd += " ,SendMessage";
                 strcmd += " ,BackColor";
                 strcmd += " ,ForeColor";
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(EntryDate,'%Y/%m/%d %H:%i:%s')";
+                strcmd += " ,DATE_FORMAT(UpdateDate,'%Y/%m/%d %H:%i:%s')";
                 strcmd += " FROM TermMaster";
                 strcmd += AddSQLString;
 
@@ -107,7 +107,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -138,8 +138,8 @@
                 strcmd += string.Format(",'{0}'", data.BackColor);
                 strcmd += string.Format(",'{0}'", data.ForeColor);
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -148,7 +148,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -166,7 +166,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -197,7 +197,7 @@
                 strcmd += string.Format(",BackColor = '{0}'", data.BackColor);
                 strcmd += string.Format(",ForeColor = '{0}'", data.ForeColor);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -206,7 +206,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -220,7 +220,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -232,15 +232,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
 
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref TermMaster wrk)
         {
@@ -265,11 +264,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
@@ -309,7 +308,7 @@
         /// <returns></returns>
         public int GetMaxSeqNoCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMUnit.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMUnit.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMUnit.cs	(revision 51)
@@ -5,7 +5,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -62,13 +62,13 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool SelectAction(string AddSQLString, ref List<UnitMaster> data, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
 
             try
             {
-                // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+                // SQL作成
                 strcmd = "SELECT";
                 strcmd += " UnitKey, DisplayOrder, UnitName";
                 strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
@@ -91,7 +91,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -118,8 +118,8 @@
                     strcmd += string.Format(", {0}", work.DisplayOrder.ToString());
                     strcmd += string.Format(", '{0}'", work.UnitName);
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -128,7 +128,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -153,7 +153,7 @@
                 strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd += string.Format(",UnitName = '{0}'", data.UnitName);
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -162,7 +162,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -176,7 +176,7 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             try
             {
@@ -188,15 +188,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
 
         /// <summary>
-        /// OracleDataReaderより構造体へセットする
+        /// 構造体へセットする
         /// </summary>
-        /// <param name="reader">OracleDataReader</param>
         /// <param name="wrk">構造体</param>
         public void Reader2Struct(object[] objwrk, ref UnitMaster wrk)
         {
@@ -212,11 +211,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
@@ -253,7 +252,7 @@
         /// <returns></returns>
         public int SelectMaxUnitKeyCount(string AddSQLString, bool bConnect = true)
         {
-            //Oracle インターフェース
+            // インターフェース
             string strcmd = "";
             ArrayList arData = new ArrayList();
             int iRet = 0;
